ShadowPopup (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.common
Class ShadowPopup

    java.lang.Object
      javax.swing.Popup
          com.jgoodies.looks.common.ShadowPopup

    public final class ShadowPopup

extends Popup

Does all the magic for getting popups with drop shadows. It adds the drop shadow border to the Popup, in `#show` it snapshots the screen background as needed, and in `#hide` it cleans up all changes made before.

Version:
  $Revision: 1.12 $
Author:
  Karsten Lentzsch
See Also:
  `ShadowPopupBorder`, `ShadowPopupFactory`

Constructor Summary
`ShadowPopup()`

Method Summary
`static boolean` | `canSnapshot()`
`void` | `hide()` Hides and disposes of the `Popup`.
`void` | `show()` Makes the `Popup` visible.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShadowPopup

    public ShadowPopup()

Method Detail

### canSnapshot

    public static boolean canSnapshot()

### hide

    public void hide()

  Hides and disposes of the `Popup`. Once a `Popup` has been disposed you should no longer invoke methods on it. A `dispose`d `Popup` may be reclaimed and later used based on the `PopupFactory`. As such, if you invoke methods on a `disposed` `Popup`, indeterminate behavior will result.

  In addition to the superclass behavior, we reset the stored horizontal and vertical drop shadows - if any.

  Overrides:
    `hide` in class `Popup`

### show

    public void show()

  Makes the `Popup` visible. If the popup has a heavy-weight container, we try to snapshot the background. If the `Popup` is currently visible, it remains visible.

  Overrides:
    `show` in class `Popup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.